%define module_name SWISH-3
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(Data/Dump.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/LeakTrace.pm) perl(Test/More.pm) zlib-devel
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators /usr/bin/xml2-config

Name: perl-%module_name
Version: 1.000016
Release: alt1
Summary: Perl interface to libswish3
Group: Development/Perl
License: gpl
URL: https://dezi.org/swish3/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/K/KA/KARMAN/%{module_name}-%{version}.tar.gz

%description
SWISH::3 is a Perl interface to the libswish3 C library.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_archlib/S*
%perl_vendor_autolib/*

%changelog
* Mon Apr 07 2025 Igor Vlasenko <viy@altlinux.org> 1.000016-alt1
- updated by package builder

* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 1.000015-alt5
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 1.000015-alt4
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 1.000015-alt3.1
- rebuild with perl 5.30

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 1.000015-alt2.1
- rebuild with perl 5.28.1

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 1.000015-alt2
- rebuild with perl 5.26

* Mon Apr 03 2017 Igor Vlasenko <viy@altlinux.ru> 1.000015-alt1
- regenerated from template by package builder

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 1.000014-alt2
- rebuild to get rid of unmets

* Tue Dec 15 2015 Igor Vlasenko <viy@altlinux.ru> 1.000014-alt1
- regenerated from template by package builder

* Fri Nov 27 2015 Igor Vlasenko <viy@altlinux.ru> 1.000013-alt2.1
- rebuild with perl 5.22

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 1.000013-alt2
- rebuild to get rid of unmets

* Fri Sep 05 2014 Igor Vlasenko <viy@altlinux.ru> 1.000013-alt1
- regenerated from template by package builder

* Tue May 06 2014 Igor Vlasenko <viy@altlinux.ru> 1.000009-alt1
- regenerated from template by package builder

* Tue Apr 15 2014 Igor Vlasenko <viy@altlinux.ru> 1.000008-alt1
- regenerated from template by package builder

* Thu Oct 10 2013 Igor Vlasenko <viy@altlinux.ru> 1.000007-alt1
- initial import by package builder

